View Issue Details

IDProjectCategoryView StatusLast Update
0003198ScribusStory Editor / Text Framespublic2006-12-18 22:59
Reporterchristoph_s Assigned Toavox  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSLinuxOS VersionSuSE 9.3
Product Version1.3.3cvs 
Target VersionFixed in Version1.3.3.7cvs 
Summary0003198: Cursor in Story Editor always moves to top when switching window focus
DescriptionThe cursor in the SE doesn't keep its position when the user switches to another program and then back to scribus
Steps To ReproduceOpen text in SE, set cursor somehwere in the text, switch to any open program, then back to scribus. The cursor is placed at the beginning of the text.
TagsNo tags attached.
Patch

Relationships

related to 0004884 closedcbradney Cursor in Story Editor always moves to top when switching window focus 
child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

lemmit

2006-02-21 21:55

reporter   ~0008856

I see a similar behavior, only that cursor jumps to beginning, when it has previously been placed at the end.

jo-hannes

2006-02-23 22:39

developer   ~0008884

selection is also lost when switching between windows.

elvstone

2006-07-14 15:58

reporter   ~0011885

I see this too, using 1.3.3.2 (Qt 3.3.6). It seems to only happen if the cursor is placed at the end of a line.

Best regards,
Aron Stansvik

cbradney

2006-12-18 22:59

administrator   ~0014079

Fixed in 1.3.3.6+, not yet in 1.3.4

Issue History

Date Modified Username Field Change
2006-02-07 23:04 christoph_s New Issue
2006-02-21 21:55 lemmit Note Added: 0008856
2006-02-23 22:39 jo-hannes Note Added: 0008884
2006-02-23 22:39 jo-hannes Status new => confirmed
2006-07-14 15:58 elvstone Note Added: 0011885
2006-12-18 22:57 cbradney Status confirmed => assigned
2006-12-18 22:57 cbradney Assigned To => avox
2006-12-18 22:58 cbradney Issue cloned: 0004884
2006-12-18 22:58 cbradney Relationship added related to 0004884
2006-12-18 22:59 cbradney Status assigned => closed
2006-12-18 22:59 cbradney Note Added: 0014079
2006-12-18 22:59 cbradney Resolution open => fixed
2006-12-18 22:59 cbradney Fixed in Version => 1.3.3.7cvs
2007-05-23 21:16 christoph_s Relationship added child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames